export declare type CodeBidiWarningProps = {
    /**
     * A `testId` prop is provided for specified elements, which is a unique
     * string that appears as a data attribute `data-testid` in the rendered code,
     * serving as a hook for automated tests */
    testId?: string;
    /**
     * A bidi character which can be used to perform a "bidi override attack".
     *
     * See the following document for details.
     *
     * https://hello.atlassian.net/wiki/spaces/PRODSEC/pages/1347434677/PSHELP-2943+Investigate+Trojan+Source+Attack+Vulnerability#1)-Providing-visual-cues-for-our-Customers-in-our-affected-products
     */
    bidiCharacter: string;
    skipChildren?: boolean;
    /**
     * Labels for the previous and next buttons used in pagination.
     * Defaults to `Bidirectional characters change the order that text is rendered. This could be used to obscure malicious code.`.
     */
    label?: string;
};
